﻿Type=Class
Version=1.8
ModulesStructureVersion=1
B4i=true
@EndOfDesignText@
'Class module
Sub Class_Globals
	Public locManager As LocationManager
	Private App As Application
	Public LastUpdate As String
	Private Ready As Boolean
	Private LogLength As Int = 10000
	
End Sub

'Initializes the object. You can add parameters to this method if needed.
Public Sub Initialize

End Sub



Public Sub Start(DistanceMoved As Double)
	LastUpdate = 0
	locManager.Initialize("locManager")
	AllowPauseLocationAutomatically(locManager,3)
	StartBackground(locManager, DistanceMoved)  'replaces locManager.Start
End Sub


Public Sub Stop
	locManager.Stop

End Sub


Sub StartBackground(lm As LocationManager, MinimumDistance As Double)
	Dim no As NativeObject = lm
	no = no.GetField("manager")
	If App.OSVersion >= 8 Then
		no.RunMethod("requestAlwaysAuthorization", Null)
	End If

	no.SetField("distanceFilter", MinimumDistance)
	no.RunMethod("startUpdatingLocation", Null)
End Sub

'ActivityType:
'1 - Other
'2 - Automotive Navigation
'3 - Fitness
'4 - Other navigation
Sub AllowPauseLocationAutomatically(lm As LocationManager, ActivityType As Int)
	Dim no As NativeObject = lm
	no = no.GetField("manager")
	no.SetField("activityType", ActivityType)
	no.SetField("pausesLocationUpdatesAutomatically", False)
End Sub

Sub LocManager_LocationChanged (Location1 As Location)
	Log("InLocation " & Location1.Accuracy )
	If (DateTime.Now - LastUpdate) > 120000 Then
		Log(DateTime.Time(DateTime.Now) & " - " & DateTime.Time(LastUpdate))
	
	Log(Location1.Accuracy)
	If Location1.Accuracy > 0 AND Location1.Accuracy < 50   Then
	Ready = False
	LastUpdate = DateTime.Now
	Log(Location1.Accuracy)
'		locManager.Stop
		Log(Location1.Latitude & ", " & Location1.Longitude)
		Dim s As String = ""
		Dim x As String
		Dim l As Int
		If File.Exists(File.DirLibrary, "tracklog.log") = True Then
			s = File.ReadString(File.DirLibrary, "tracklog.log")
			l = s.Length
			If l > LogLength Then
				l = LogLength
			End If
			x = DateTime.Time(DateTime.Now) & "_" & Location1.Accuracy & "_" & Location1.Latitude & "_" & Location1.Longitude & CRLF & s.SubString2(0, l)
		Else
			x = DateTime.Time(DateTime.Now) & "_"  & Location1.Accuracy & "_" & Location1.Latitude & "_" & Location1.Longitude & CRLF
		End If
		File.WriteString(File.DirLibrary, "tracklog.log", x)
		Ready = True
	End If
	End If
End Sub