
#import "b4i_settings.h"
#import "b4i_main.h"
#import "b4i_httpjob.h"
#import "b4i_httputils2service.h"


@implementation b4i_settings 


+ (instancetype)new {
    static b4i_settings* shared = nil;
    if (shared == nil) {
        shared = [self alloc];
        shared.bi = [[B4IShellBI alloc] init:shared];
        shared.__c = [B4ICommon new];
    }
    return shared;
}
- (int)debugAppId {
    return 1949347363;
}


- (NSString*)  _launch{
[B4IRDebugUtils shared].currentModule=@"settings";
[B4IRDebugUtils shared].currentLine=2031616;
 //BA.debugLineNum = 2031616;BA.debugLine="Public Sub Launch";
[B4IRDebugUtils shared].currentLine=2031618;
 //BA.debugLineNum = 2031618;BA.debugLine="myheight = 50";
self._myheight = (int) (50);
[B4IRDebugUtils shared].currentLine=2031619;
 //BA.debugLineNum = 2031619;BA.debugLine="btnSize = myheight * .9";
self._btnsize = self._myheight*.9;
[B4IRDebugUtils shared].currentLine=2031620;
 //BA.debugLineNum = 2031620;BA.debugLine="If Settings.IsInitialized = False Then";
if ([self._settings IsInitialized]==[self.__c False]) { 
[B4IRDebugUtils shared].currentLine=2031621;
 //BA.debugLineNum = 2031621;BA.debugLine="Settings.Initialize(\"Settings\")";
[self._settings Initialize:self.bi :@"Settings"];
[B4IRDebugUtils shared].currentLine=2031622;
 //BA.debugLineNum = 2031622;BA.debugLine="Settings.Title = \"Settings\"";
[self._settings setTitle:@"Settings"];
[B4IRDebugUtils shared].currentLine=2031623;
 //BA.debugLineNum = 2031623;BA.debugLine="Settings.RootPanel.Color = Colors.White";
[[self._settings RootPanel] setColor:[[self.__c Colors] White]];
 };
[B4IRDebugUtils shared].currentLine=2031626;
 //BA.debugLineNum = 2031626;BA.debugLine="Log(\"In Launch\")";
[self.__c Log:@"In Launch"];
[B4IRDebugUtils shared].currentLine=2031628;
 //BA.debugLineNum = 2031628;BA.debugLine="Main.NavControl.ShowPage(Settings)";
[self._main._navcontrol ShowPage:(UIViewController*)((self._settings).object)];
[B4IRDebugUtils shared].currentLine=2031629;
 //BA.debugLineNum = 2031629;BA.debugLine="tt.Initialize(\"tt\", 1000)";
[self._tt Initialize:self.bi :@"tt" :(long long) (1000)];
[B4IRDebugUtils shared].currentLine=2031630;
 //BA.debugLineNum = 2031630;BA.debugLine="tt.Enabled = True";
[self._tt setEnabled:[self.__c True]];
[B4IRDebugUtils shared].currentLine=2031631;
 //BA.debugLineNum = 2031631;BA.debugLine="End Sub";
return @"";
}
- (NSString*)  _devices_click{
[B4IRDebugUtils shared].currentModule=@"settings";
[B4IRDebugUtils shared].currentLine=2293760;
 //BA.debugLineNum = 2293760;BA.debugLine="Sub Devices_Click";
[B4IRDebugUtils shared].currentLine=2293762;
 //BA.debugLineNum = 2293762;BA.debugLine="End Sub";
return @"";
}
- (NSString*)  _login_click{
[B4IRDebugUtils shared].currentModule=@"settings";
[B4IRDebugUtils shared].currentLine=2228224;
 //BA.debugLineNum = 2228224;BA.debugLine="Sub Login_Click";
[B4IRDebugUtils shared].currentLine=2228227;
 //BA.debugLineNum = 2228227;BA.debugLine="End Sub";
return @"";
}
- (NSString*)  _process_globals{
self._main=[b4i_main new];
self._httputils2service=[b4i_httputils2service new];
[B4IRDebugUtils shared].currentModule=@"settings";
[B4IRDebugUtils shared].currentLine=1966080;
 //BA.debugLineNum = 1966080;BA.debugLine="Sub Process_Globals";
return @"";
}
- (NSString*)  _settings_resize:(int) _width :(int) _height{
[B4IRDebugUtils shared].currentModule=@"settings";
B4IPanelWrapper* _pnl = nil;
NSString* _img1str = @"";
NSString* _img2str = @"";
NSString* _img3str = @"";
NSString* _img5str = @"";
B4ILabelWrapper* _lbl1 = nil;
B4ILabelWrapper* _lbl2 = nil;
B4IImageViewWrapper* _img3 = nil;
B4ILabelWrapper* _lbl3 = nil;
B4IImageViewWrapper* _img4 = nil;
B4ILabelWrapper* _lbl4 = nil;
B4IImageViewWrapper* _img8 = nil;
B4ILabelWrapper* _lbl8 = nil;
B4IImageViewWrapper* _img6 = nil;
B4ILabelWrapper* _lbl6 = nil;
B4IImageViewWrapper* _img7 = nil;
B4ILabelWrapper* _lbl7 = nil;
B4IImageViewWrapper* _img5 = nil;
B4ILabelWrapper* _lbl5 = nil;
[B4IRDebugUtils shared].currentLine=2097152;
 //BA.debugLineNum = 2097152;BA.debugLine="Private Sub Settings_Resize(Width As Int, height As Int)";
[B4IRDebugUtils shared].currentLine=2097153;
 //BA.debugLineNum = 2097153;BA.debugLine="Log(\"In Resize\")";
[self.__c Log:@"In Resize"];
[B4IRDebugUtils shared].currentLine=2097155;
 //BA.debugLineNum = 2097155;BA.debugLine="If scv.IsInitialized = False Then";
if ([self._scv IsInitialized]==[self.__c False]) { 
[B4IRDebugUtils shared].currentLine=2097156;
 //BA.debugLineNum = 2097156;BA.debugLine="scv.Initialize(0, 100%x, 100%y)";
[self._scv Initialize:self.bi :[self.bi NumberToString:@(0)] :(int) ([self.__c PerXToCurrent:(float) (100)]) :(int) ([self.__c PerYToCurrent:(float) (100)])];
 };
[B4IRDebugUtils shared].currentLine=2097158;
 //BA.debugLineNum = 2097158;BA.debugLine="scv.ContentHeight = myheight * 9";
[self._scv setContentHeight:(int) (self._myheight*9)];
[B4IRDebugUtils shared].currentLine=2097159;
 //BA.debugLineNum = 2097159;BA.debugLine="Try";
@try {[B4IRDebugUtils shared].currentLine=2097160;
 //BA.debugLineNum = 2097160;BA.debugLine="Settings.RootPanel.RemoveAllViews";
[[self._settings RootPanel] RemoveAllViews];
[B4IRDebugUtils shared].currentLine=2097163;
 //BA.debugLineNum = 2097163;BA.debugLine="scv.Panel.RemoveAllViews";
[[self._scv Panel] RemoveAllViews];
 } 
       @catch (NSException* e34) {
			[B4I SetException:e34]; };
[B4IRDebugUtils shared].currentLine=2097173;
 //BA.debugLineNum = 2097173;BA.debugLine="Dim pnl As Panel";
_pnl = [B4IPanelWrapper new];
[B4IRDebugUtils shared].currentLine=2097174;
 //BA.debugLineNum = 2097174;BA.debugLine="pnl.Initialize(\"\")";
[_pnl Initialize:self.bi :@""];
[B4IRDebugUtils shared].currentLine=2097175;
 //BA.debugLineNum = 2097175;BA.debugLine="pnl.RemoveAllViews";
[_pnl RemoveAllViews];
[B4IRDebugUtils shared].currentLine=2097176;
 //BA.debugLineNum = 2097176;BA.debugLine="pnl = scv.Panel";
_pnl = [self._scv Panel];
[B4IRDebugUtils shared].currentLine=2097177;
 //BA.debugLineNum = 2097177;BA.debugLine="Settings.RootPanel.AddView(scv, 0, 0, 100%x, 100%y)";
[[self._settings RootPanel] AddView:(UIView*)((self._scv).object) :(float) (0) :(float) (0) :[self.__c PerXToCurrent:(float) (100)] :[self.__c PerYToCurrent:(float) (100)]];
[B4IRDebugUtils shared].currentLine=2097178;
 //BA.debugLineNum = 2097178;BA.debugLine="lstChecks.Initialize";
[self._lstchecks Initialize];
[B4IRDebugUtils shared].currentLine=2097180;
 //BA.debugLineNum = 2097180;BA.debugLine="Dim img1str As String";
_img1str = @"";
[B4IRDebugUtils shared].currentLine=2097181;
 //BA.debugLineNum = 2097181;BA.debugLine="Dim img2str As String";
_img2str = @"";
[B4IRDebugUtils shared].currentLine=2097182;
 //BA.debugLineNum = 2097182;BA.debugLine="Dim img3str As String";
_img3str = @"";
[B4IRDebugUtils shared].currentLine=2097183;
 //BA.debugLineNum = 2097183;BA.debugLine="Dim img5str As String";
_img5str = @"";
[B4IRDebugUtils shared].currentLine=2097188;
 //BA.debugLineNum = 2097188;BA.debugLine="img1.Initialize(\"Login\")";
[self._img1 Initialize:self.bi :@"Login"];
[B4IRDebugUtils shared].currentLine=2097191;
 //BA.debugLineNum = 2097191;BA.debugLine="Dim lbl1 As Label";
_lbl1 = [B4ILabelWrapper new];
[B4IRDebugUtils shared].currentLine=2097192;
 //BA.debugLineNum = 2097192;BA.debugLine="lbl1.Initialize(\"Login\")";
[_lbl1 Initialize:self.bi :@"Login"];
[B4IRDebugUtils shared].currentLine=2097193;
 //BA.debugLineNum = 2097193;BA.debugLine="lbl1.Text =  \"SpotWalla Login\"";
[_lbl1 setText:@"SpotWalla Login"];
[B4IRDebugUtils shared].currentLine=2097196;
 //BA.debugLineNum = 2097196;BA.debugLine="lstChecks.Add(img1)";
[self._lstchecks Add:(NSObject*)((self._img1).object)];
[B4IRDebugUtils shared].currentLine=2097197;
 //BA.debugLineNum = 2097197;BA.debugLine="pnl.AddView(img1, 0, myheight * (0), btnSize, btnSize)";
[_pnl AddView:(UIView*)((self._img1).object) :(float) (0) :(float) (self._myheight*(0)) :(float) (self._btnsize) :(float) (self._btnsize)];
[B4IRDebugUtils shared].currentLine=2097199;
 //BA.debugLineNum = 2097199;BA.debugLine="pnl.AddView(lbl1, 20%x, myheight * (0), 350dip, myheight)";
[_pnl AddView:(UIView*)((_lbl1).object) :[self.__c PerXToCurrent:(float) (20)] :(float) (self._myheight*(0)) :(float) ([self.__c DipToCurrent:(int) (350)]) :(float) (self._myheight)];
[B4IRDebugUtils shared].currentLine=2097202;
 //BA.debugLineNum = 2097202;BA.debugLine="img2.Initialize(\"Devices\")";
[self._img2 Initialize:self.bi :@"Devices"];
[B4IRDebugUtils shared].currentLine=2097205;
 //BA.debugLineNum = 2097205;BA.debugLine="Dim lbl2 As Label";
_lbl2 = [B4ILabelWrapper new];
[B4IRDebugUtils shared].currentLine=2097206;
 //BA.debugLineNum = 2097206;BA.debugLine="lbl2.Initialize(\"Devices\")";
[_lbl2 Initialize:self.bi :@"Devices"];
[B4IRDebugUtils shared].currentLine=2097207;
 //BA.debugLineNum = 2097207;BA.debugLine="lbl2.Text =  \"SpotWalla Device\"";
[_lbl2 setText:@"SpotWalla Device"];
[B4IRDebugUtils shared].currentLine=2097210;
 //BA.debugLineNum = 2097210;BA.debugLine="lstChecks.Add(img2)";
[self._lstchecks Add:(NSObject*)((self._img2).object)];
[B4IRDebugUtils shared].currentLine=2097211;
 //BA.debugLineNum = 2097211;BA.debugLine="pnl.AddView(img2, 0, myheight * (1), btnSize, btnSize)";
[_pnl AddView:(UIView*)((self._img2).object) :(float) (0) :(float) (self._myheight*(1)) :(float) (self._btnsize) :(float) (self._btnsize)];
[B4IRDebugUtils shared].currentLine=2097213;
 //BA.debugLineNum = 2097213;BA.debugLine="pnl.AddView(lbl2, 20%x, myheight * (1), 350dip, myheight)";
[_pnl AddView:(UIView*)((_lbl2).object) :[self.__c PerXToCurrent:(float) (20)] :(float) (self._myheight*(1)) :(float) ([self.__c DipToCurrent:(int) (350)]) :(float) (self._myheight)];
[B4IRDebugUtils shared].currentLine=2097215;
 //BA.debugLineNum = 2097215;BA.debugLine="Dim img3 As ImageView";
_img3 = [B4IImageViewWrapper new];
[B4IRDebugUtils shared].currentLine=2097216;
 //BA.debugLineNum = 2097216;BA.debugLine="img3.Initialize(\"Frequency\")";
[_img3 Initialize:self.bi :@"Frequency"];
[B4IRDebugUtils shared].currentLine=2097219;
 //BA.debugLineNum = 2097219;BA.debugLine="Dim lbl3 As Label";
_lbl3 = [B4ILabelWrapper new];
[B4IRDebugUtils shared].currentLine=2097220;
 //BA.debugLineNum = 2097220;BA.debugLine="lbl3.Initialize(\"Frequency\")";
[_lbl3 Initialize:self.bi :@"Frequency"];
[B4IRDebugUtils shared].currentLine=2097221;
 //BA.debugLineNum = 2097221;BA.debugLine="lbl3.Text =  \"Update Frequency\"";
[_lbl3 setText:@"Update Frequency"];
[B4IRDebugUtils shared].currentLine=2097224;
 //BA.debugLineNum = 2097224;BA.debugLine="lstChecks.Add(img3)";
[self._lstchecks Add:(NSObject*)((_img3).object)];
[B4IRDebugUtils shared].currentLine=2097225;
 //BA.debugLineNum = 2097225;BA.debugLine="pnl.AddView(img3, 0, myheight * (2), btnSize, btnSize)";
[_pnl AddView:(UIView*)((_img3).object) :(float) (0) :(float) (self._myheight*(2)) :(float) (self._btnsize) :(float) (self._btnsize)];
[B4IRDebugUtils shared].currentLine=2097227;
 //BA.debugLineNum = 2097227;BA.debugLine="pnl.AddView(lbl3, 20%x, myheight * (2), 350dip, myheight)";
[_pnl AddView:(UIView*)((_lbl3).object) :[self.__c PerXToCurrent:(float) (20)] :(float) (self._myheight*(2)) :(float) ([self.__c DipToCurrent:(int) (350)]) :(float) (self._myheight)];
[B4IRDebugUtils shared].currentLine=2097230;
 //BA.debugLineNum = 2097230;BA.debugLine="Dim img4 As ImageView";
_img4 = [B4IImageViewWrapper new];
[B4IRDebugUtils shared].currentLine=2097231;
 //BA.debugLineNum = 2097231;BA.debugLine="img4.Initialize(\"Communications\")";
[_img4 Initialize:self.bi :@"Communications"];
[B4IRDebugUtils shared].currentLine=2097234;
 //BA.debugLineNum = 2097234;BA.debugLine="Dim lbl4 As Label";
_lbl4 = [B4ILabelWrapper new];
[B4IRDebugUtils shared].currentLine=2097235;
 //BA.debugLineNum = 2097235;BA.debugLine="lbl4.Initialize(\"Communications\")";
[_lbl4 Initialize:self.bi :@"Communications"];
[B4IRDebugUtils shared].currentLine=2097236;
 //BA.debugLineNum = 2097236;BA.debugLine="lbl4.Text =  \"Communications\"";
[_lbl4 setText:@"Communications"];
[B4IRDebugUtils shared].currentLine=2097239;
 //BA.debugLineNum = 2097239;BA.debugLine="lstChecks.Add(img4)";
[self._lstchecks Add:(NSObject*)((_img4).object)];
[B4IRDebugUtils shared].currentLine=2097240;
 //BA.debugLineNum = 2097240;BA.debugLine="pnl.AddView(img4, 0, myheight * (3), btnSize, btnSize)";
[_pnl AddView:(UIView*)((_img4).object) :(float) (0) :(float) (self._myheight*(3)) :(float) (self._btnsize) :(float) (self._btnsize)];
[B4IRDebugUtils shared].currentLine=2097242;
 //BA.debugLineNum = 2097242;BA.debugLine="pnl.AddView(lbl4, 20%x, myheight * (3), 80%x, myheight)";
[_pnl AddView:(UIView*)((_lbl4).object) :[self.__c PerXToCurrent:(float) (20)] :(float) (self._myheight*(3)) :[self.__c PerXToCurrent:(float) (80)] :(float) (self._myheight)];
[B4IRDebugUtils shared].currentLine=2097245;
 //BA.debugLineNum = 2097245;BA.debugLine="Dim img8 As ImageView";
_img8 = [B4IImageViewWrapper new];
[B4IRDebugUtils shared].currentLine=2097246;
 //BA.debugLineNum = 2097246;BA.debugLine="img8.Initialize(\"Camera\")";
[_img8 Initialize:self.bi :@"Camera"];
[B4IRDebugUtils shared].currentLine=2097249;
 //BA.debugLineNum = 2097249;BA.debugLine="Dim lbl8 As Label";
_lbl8 = [B4ILabelWrapper new];
[B4IRDebugUtils shared].currentLine=2097250;
 //BA.debugLineNum = 2097250;BA.debugLine="lbl8.Initialize(\"Camera\")";
[_lbl8 Initialize:self.bi :@"Camera"];
[B4IRDebugUtils shared].currentLine=2097251;
 //BA.debugLineNum = 2097251;BA.debugLine="lbl8.Text =  \"Camera\"";
[_lbl8 setText:@"Camera"];
[B4IRDebugUtils shared].currentLine=2097254;
 //BA.debugLineNum = 2097254;BA.debugLine="lstChecks.Add(img8)";
[self._lstchecks Add:(NSObject*)((_img8).object)];
[B4IRDebugUtils shared].currentLine=2097255;
 //BA.debugLineNum = 2097255;BA.debugLine="pnl.AddView(img8, 0, myheight * (4), btnSize, btnSize)";
[_pnl AddView:(UIView*)((_img8).object) :(float) (0) :(float) (self._myheight*(4)) :(float) (self._btnsize) :(float) (self._btnsize)];
[B4IRDebugUtils shared].currentLine=2097257;
 //BA.debugLineNum = 2097257;BA.debugLine="pnl.AddView(lbl8, 20%x, myheight * (4), 350dip, myheight)";
[_pnl AddView:(UIView*)((_lbl8).object) :[self.__c PerXToCurrent:(float) (20)] :(float) (self._myheight*(4)) :(float) ([self.__c DipToCurrent:(int) (350)]) :(float) (self._myheight)];
[B4IRDebugUtils shared].currentLine=2097262;
 //BA.debugLineNum = 2097262;BA.debugLine="Dim img6 As ImageView";
_img6 = [B4IImageViewWrapper new];
[B4IRDebugUtils shared].currentLine=2097263;
 //BA.debugLineNum = 2097263;BA.debugLine="img6.Initialize(\"CameraEmail\")";
[_img6 Initialize:self.bi :@"CameraEmail"];
[B4IRDebugUtils shared].currentLine=2097266;
 //BA.debugLineNum = 2097266;BA.debugLine="Dim lbl6 As Label";
_lbl6 = [B4ILabelWrapper new];
[B4IRDebugUtils shared].currentLine=2097267;
 //BA.debugLineNum = 2097267;BA.debugLine="lbl6.Initialize(\"CameraEmail\")";
[_lbl6 Initialize:self.bi :@"CameraEmail"];
[B4IRDebugUtils shared].currentLine=2097268;
 //BA.debugLineNum = 2097268;BA.debugLine="lbl6.Text =  \"Camera - Email\"";
[_lbl6 setText:@"Camera - Email"];
[B4IRDebugUtils shared].currentLine=2097271;
 //BA.debugLineNum = 2097271;BA.debugLine="lstChecks.Add(img6)";
[self._lstchecks Add:(NSObject*)((_img6).object)];
[B4IRDebugUtils shared].currentLine=2097272;
 //BA.debugLineNum = 2097272;BA.debugLine="pnl.AddView(img6, 0, myheight * (5), btnSize, btnSize)";
[_pnl AddView:(UIView*)((_img6).object) :(float) (0) :(float) (self._myheight*(5)) :(float) (self._btnsize) :(float) (self._btnsize)];
[B4IRDebugUtils shared].currentLine=2097274;
 //BA.debugLineNum = 2097274;BA.debugLine="pnl.AddView(lbl6, 20%x, myheight * (5), 350dip, myheight)";
[_pnl AddView:(UIView*)((_lbl6).object) :[self.__c PerXToCurrent:(float) (20)] :(float) (self._myheight*(5)) :(float) ([self.__c DipToCurrent:(int) (350)]) :(float) (self._myheight)];
[B4IRDebugUtils shared].currentLine=2097277;
 //BA.debugLineNum = 2097277;BA.debugLine="Dim img7 As ImageView";
_img7 = [B4IImageViewWrapper new];
[B4IRDebugUtils shared].currentLine=2097278;
 //BA.debugLineNum = 2097278;BA.debugLine="img7.Initialize(\"General\")";
[_img7 Initialize:self.bi :@"General"];
[B4IRDebugUtils shared].currentLine=2097280;
 //BA.debugLineNum = 2097280;BA.debugLine="Dim lbl7 As Label";
_lbl7 = [B4ILabelWrapper new];
[B4IRDebugUtils shared].currentLine=2097281;
 //BA.debugLineNum = 2097281;BA.debugLine="lbl7.Initialize(\"General\")";
[_lbl7 Initialize:self.bi :@"General"];
[B4IRDebugUtils shared].currentLine=2097282;
 //BA.debugLineNum = 2097282;BA.debugLine="lbl7.Text =  \"General\"";
[_lbl7 setText:@"General"];
[B4IRDebugUtils shared].currentLine=2097284;
 //BA.debugLineNum = 2097284;BA.debugLine="lstChecks.Add(img7)";
[self._lstchecks Add:(NSObject*)((_img7).object)];
[B4IRDebugUtils shared].currentLine=2097285;
 //BA.debugLineNum = 2097285;BA.debugLine="pnl.AddView(img7, 0, myheight * (6), btnSize, btnSize)";
[_pnl AddView:(UIView*)((_img7).object) :(float) (0) :(float) (self._myheight*(6)) :(float) (self._btnsize) :(float) (self._btnsize)];
[B4IRDebugUtils shared].currentLine=2097286;
 //BA.debugLineNum = 2097286;BA.debugLine="pnl.AddView(lbl7, 20%x, myheight * (6), 350dip, myheight)";
[_pnl AddView:(UIView*)((_lbl7).object) :[self.__c PerXToCurrent:(float) (20)] :(float) (self._myheight*(6)) :(float) ([self.__c DipToCurrent:(int) (350)]) :(float) (self._myheight)];
[B4IRDebugUtils shared].currentLine=2097288;
 //BA.debugLineNum = 2097288;BA.debugLine="Dim img8 As ImageView";
_img8 = [B4IImageViewWrapper new];
[B4IRDebugUtils shared].currentLine=2097289;
 //BA.debugLineNum = 2097289;BA.debugLine="img8.Initialize(\"SMS\")";
[_img8 Initialize:self.bi :@"SMS"];
[B4IRDebugUtils shared].currentLine=2097291;
 //BA.debugLineNum = 2097291;BA.debugLine="Dim lbl8 As Label";
_lbl8 = [B4ILabelWrapper new];
[B4IRDebugUtils shared].currentLine=2097292;
 //BA.debugLineNum = 2097292;BA.debugLine="lbl8.Initialize(\"SMS\")";
[_lbl8 Initialize:self.bi :@"SMS"];
[B4IRDebugUtils shared].currentLine=2097293;
 //BA.debugLineNum = 2097293;BA.debugLine="lbl8.Text =  \"SMS\"";
[_lbl8 setText:@"SMS"];
[B4IRDebugUtils shared].currentLine=2097295;
 //BA.debugLineNum = 2097295;BA.debugLine="lstChecks.Add(img8)";
[self._lstchecks Add:(NSObject*)((_img8).object)];
[B4IRDebugUtils shared].currentLine=2097296;
 //BA.debugLineNum = 2097296;BA.debugLine="pnl.AddView(img8, 0, myheight * (7), btnSize, btnSize)";
[_pnl AddView:(UIView*)((_img8).object) :(float) (0) :(float) (self._myheight*(7)) :(float) (self._btnsize) :(float) (self._btnsize)];
[B4IRDebugUtils shared].currentLine=2097298;
 //BA.debugLineNum = 2097298;BA.debugLine="pnl.AddView(lbl8, 20%x, myheight * (7), 350dip, myheight)";
[_pnl AddView:(UIView*)((_lbl8).object) :[self.__c PerXToCurrent:(float) (20)] :(float) (self._myheight*(7)) :(float) ([self.__c DipToCurrent:(int) (350)]) :(float) (self._myheight)];
[B4IRDebugUtils shared].currentLine=2097301;
 //BA.debugLineNum = 2097301;BA.debugLine="Dim img5 As ImageView";
_img5 = [B4IImageViewWrapper new];
[B4IRDebugUtils shared].currentLine=2097302;
 //BA.debugLineNum = 2097302;BA.debugLine="img5.Initialize(\"Advanced\")";
[_img5 Initialize:self.bi :@"Advanced"];
[B4IRDebugUtils shared].currentLine=2097305;
 //BA.debugLineNum = 2097305;BA.debugLine="Dim lbl5 As Label";
_lbl5 = [B4ILabelWrapper new];
[B4IRDebugUtils shared].currentLine=2097306;
 //BA.debugLineNum = 2097306;BA.debugLine="lbl5.Initialize(\"Advanced\")";
[_lbl5 Initialize:self.bi :@"Advanced"];
[B4IRDebugUtils shared].currentLine=2097307;
 //BA.debugLineNum = 2097307;BA.debugLine="lbl5.Text =  \"Advanced\"";
[_lbl5 setText:@"Advanced"];
[B4IRDebugUtils shared].currentLine=2097309;
 //BA.debugLineNum = 2097309;BA.debugLine="lstChecks.Add(img5)";
[self._lstchecks Add:(NSObject*)((_img5).object)];
[B4IRDebugUtils shared].currentLine=2097310;
 //BA.debugLineNum = 2097310;BA.debugLine="pnl.AddView(img5, 0, myheight * (8), btnSize, btnSize)";
[_pnl AddView:(UIView*)((_img5).object) :(float) (0) :(float) (self._myheight*(8)) :(float) (self._btnsize) :(float) (self._btnsize)];
[B4IRDebugUtils shared].currentLine=2097311;
 //BA.debugLineNum = 2097311;BA.debugLine="pnl.AddView(lbl5, 20%x, myheight * (8), 350dip, myheight)";
[_pnl AddView:(UIView*)((_lbl5).object) :[self.__c PerXToCurrent:(float) (20)] :(float) (self._myheight*(8)) :(float) ([self.__c DipToCurrent:(int) (350)]) :(float) (self._myheight)];
[B4IRDebugUtils shared].currentLine=2097313;
 //BA.debugLineNum = 2097313;BA.debugLine="pnl.height = lstChecks.Size * myheight";
[_pnl setHeight:(float) ([self._lstchecks Size]*self._myheight)];
[B4IRDebugUtils shared].currentLine=2097317;
 //BA.debugLineNum = 2097317;BA.debugLine="End Sub";
return @"";
}
- (NSString*)  _tt_tick{
[B4IRDebugUtils shared].currentModule=@"settings";
[B4IRDebugUtils shared].currentLine=2162688;
 //BA.debugLineNum = 2162688;BA.debugLine="Sub tt_Tick";
[B4IRDebugUtils shared].currentLine=2162691;
 //BA.debugLineNum = 2162691;BA.debugLine="End Sub";
return @"";
}
@end