
#import "b4i_httpjob.h"
#import "b4i_main.h"
#import "b4i_httputils2service.h"
#import "b4i_settings.h"


@implementation b4i_httpjob 


+ (B4I*)createBI {
    return [B4IShellBI alloc];
}

- (void)dealloc {
    if (self.bi != nil)
        NSLog(@"Class (b4i_httpjob) instance released.");
}

- (NSString*)  _class_globals:(b4i_httpjob*) __ref{
self._main=[b4i_main new];
self._httputils2service=[b4i_httputils2service new];
self._settings=[b4i_settings new];
[B4IRDebugUtils shared].currentModule=@"httpjob";
[B4IRDebugUtils shared].currentLine=262144;
 //BA.debugLineNum = 262144;BA.debugLine="Sub Class_Globals";
return @"";
}
- (NSString*)  _complete:(b4i_httpjob*) __ref :(B4IHttpResponse*) _res1{
__ref = self;
[B4IRDebugUtils shared].currentModule=@"httpjob";
[B4IRDebugUtils shared].currentLine=786432;
 //BA.debugLineNum = 786432;BA.debugLine="Public Sub Complete (res1 As HttpResponse)";
[B4IRDebugUtils shared].currentLine=786433;
 //BA.debugLineNum = 786433;BA.debugLine="res = res1";
__ref._res = _res1;
[B4IRDebugUtils shared].currentLine=786434;
 //BA.debugLineNum = 786434;BA.debugLine="CallSub2(target, \"JobDone\", Me)";
[self.__c CallSub2:self.bi :__ref._target :@"JobDone" :self];
[B4IRDebugUtils shared].currentLine=786435;
 //BA.debugLineNum = 786435;BA.debugLine="End Sub";
return @"";
}
- (NSString*)  _download:(b4i_httpjob*) __ref :(NSString*) _link{
__ref = self;
[B4IRDebugUtils shared].currentModule=@"httpjob";
[B4IRDebugUtils shared].currentLine=589824;
 //BA.debugLineNum = 589824;BA.debugLine="Public Sub Download(Link As String)";
[B4IRDebugUtils shared].currentLine=589825;
 //BA.debugLineNum = 589825;BA.debugLine="req.InitializeGet(Link)";
[__ref._req InitializeGet:_link];
[B4IRDebugUtils shared].currentLine=589826;
 //BA.debugLineNum = 589826;BA.debugLine="CallSubDelayed2(HttpUtils2Service, \"SubmitJob\", Me)";
[self.__c CallSubDelayed2:self.bi :(NSObject*)((self._httputils2service).object) :@"SubmitJob" :self];
[B4IRDebugUtils shared].currentLine=589827;
 //BA.debugLineNum = 589827;BA.debugLine="End Sub";
return @"";
}
- (NSString*)  _download2:(b4i_httpjob*) __ref :(NSString*) _link :(B4IArray*) _parameters{
__ref = self;
[B4IRDebugUtils shared].currentModule=@"httpjob";
B4IStringBuilder* _sb = nil;
iStringUtils* _su = nil;
int _i = 0;
[B4IRDebugUtils shared].currentLine=655360;
 //BA.debugLineNum = 655360;BA.debugLine="Public Sub Download2(Link As String, Parameters() As String)";
[B4IRDebugUtils shared].currentLine=655361;
 //BA.debugLineNum = 655361;BA.debugLine="Dim sb As StringBuilder";
_sb = [B4IStringBuilder new];
[B4IRDebugUtils shared].currentLine=655362;
 //BA.debugLineNum = 655362;BA.debugLine="sb.Initialize";
[_sb Initialize];
[B4IRDebugUtils shared].currentLine=655363;
 //BA.debugLineNum = 655363;BA.debugLine="sb.Append(Link)";
[_sb Append:_link];
[B4IRDebugUtils shared].currentLine=655364;
 //BA.debugLineNum = 655364;BA.debugLine="If Parameters.Length > 0 Then sb.Append(\"?\")";
if (_parameters.Length>0) { 
[_sb Append:@"?"];};
[B4IRDebugUtils shared].currentLine=655365;
 //BA.debugLineNum = 655365;BA.debugLine="Dim su As StringUtils";
_su = [iStringUtils new];
[B4IRDebugUtils shared].currentLine=655366;
 //BA.debugLineNum = 655366;BA.debugLine="For i = 0 To Parameters.Length - 1 Step 2";
{
const int step35 = (int) (2);
const int limit35 = (int) (_parameters.Length-1);
for (_i = (int) (0); (step35 > 0 && _i <= limit35) || (step35 < 0 && _i >= limit35); _i = ((int)(0 + _i + step35))) {
[B4IRDebugUtils shared].currentLine=655367;
 //BA.debugLineNum = 655367;BA.debugLine="If i > 0 Then sb.Append(\"&\")";
if (_i>0) { 
[_sb Append:@"&"];};
[B4IRDebugUtils shared].currentLine=655368;
 //BA.debugLineNum = 655368;BA.debugLine="sb.Append(su.EncodeUrl(Parameters(i), \"UTF8\")).Append(\"=\")";
[[_sb Append:[_su EncodeUrl:((NSString*)[_parameters getObjectFast:_i]) :@"UTF8"]] Append:@"="];
[B4IRDebugUtils shared].currentLine=655369;
 //BA.debugLineNum = 655369;BA.debugLine="sb.Append(su.EncodeUrl(Parameters(i + 1), \"UTF8\"))";
[_sb Append:[_su EncodeUrl:((NSString*)[_parameters getObjectFast:(int) (_i+1)]) :@"UTF8"]];
 }
};
[B4IRDebugUtils shared].currentLine=655371;
 //BA.debugLineNum = 655371;BA.debugLine="req.InitializeGet(sb.ToString)";
[__ref._req InitializeGet:[_sb ToString]];
[B4IRDebugUtils shared].currentLine=655372;
 //BA.debugLineNum = 655372;BA.debugLine="CallSubDelayed2(HttpUtils2Service, \"SubmitJob\", Me)";
[self.__c CallSubDelayed2:self.bi :(NSObject*)((self._httputils2service).object) :@"SubmitJob" :self];
[B4IRDebugUtils shared].currentLine=655373;
 //BA.debugLineNum = 655373;BA.debugLine="End Sub";
return @"";
}
- (B4IBitmap*)  _getbitmap:(b4i_httpjob*) __ref{
__ref = self;
[B4IRDebugUtils shared].currentModule=@"httpjob";
B4IBitmap* _b = nil;
[B4IRDebugUtils shared].currentLine=1048576;
 //BA.debugLineNum = 1048576;BA.debugLine="Public Sub GetBitmap As Bitmap";
[B4IRDebugUtils shared].currentLine=1048577;
 //BA.debugLineNum = 1048577;BA.debugLine="Dim b As Bitmap";
_b = [B4IBitmap new];
[B4IRDebugUtils shared].currentLine=1048578;
 //BA.debugLineNum = 1048578;BA.debugLine="b.Initialize2(res.GetInputStream)";
[_b Initialize2:[__ref._res GetInputStream]];
[B4IRDebugUtils shared].currentLine=1048579;
 //BA.debugLineNum = 1048579;BA.debugLine="Return b";
if (true) return _b;
[B4IRDebugUtils shared].currentLine=1048580;
 //BA.debugLineNum = 1048580;BA.debugLine="End Sub";
return nil;
}
- (B4IInputStream*)  _getinputstream:(b4i_httpjob*) __ref{
__ref = self;
[B4IRDebugUtils shared].currentModule=@"httpjob";
[B4IRDebugUtils shared].currentLine=1114112;
 //BA.debugLineNum = 1114112;BA.debugLine="Public Sub GetInputStream As InputStream";
[B4IRDebugUtils shared].currentLine=1114113;
 //BA.debugLineNum = 1114113;BA.debugLine="Return res.GetInputStream";
if (true) return [__ref._res GetInputStream];
[B4IRDebugUtils shared].currentLine=1114114;
 //BA.debugLineNum = 1114114;BA.debugLine="End Sub";
return nil;
}
- (B4IHttpRequest*)  _getrequest:(b4i_httpjob*) __ref{
__ref = self;
[B4IRDebugUtils shared].currentModule=@"httpjob";
[B4IRDebugUtils shared].currentLine=720896;
 //BA.debugLineNum = 720896;BA.debugLine="Public Sub GetRequest As HttpRequest";
[B4IRDebugUtils shared].currentLine=720897;
 //BA.debugLineNum = 720897;BA.debugLine="Return req";
if (true) return __ref._req;
[B4IRDebugUtils shared].currentLine=720898;
 //BA.debugLineNum = 720898;BA.debugLine="End Sub";
return nil;
}
- (NSString*)  _getstring:(b4i_httpjob*) __ref{
__ref = self;
[B4IRDebugUtils shared].currentModule=@"httpjob";
[B4IRDebugUtils shared].currentLine=917504;
 //BA.debugLineNum = 917504;BA.debugLine="Public Sub GetString As String";
[B4IRDebugUtils shared].currentLine=917505;
 //BA.debugLineNum = 917505;BA.debugLine="Return GetString2(\"UTF8\")";
if (true) return [__ref _getstring2:nil :@"UTF8"];
[B4IRDebugUtils shared].currentLine=917506;
 //BA.debugLineNum = 917506;BA.debugLine="End Sub";
return @"";
}
- (NSString*)  _getstring2:(b4i_httpjob*) __ref :(NSString*) _encoding{
__ref = self;
[B4IRDebugUtils shared].currentModule=@"httpjob";
[B4IRDebugUtils shared].currentLine=983040;
 //BA.debugLineNum = 983040;BA.debugLine="Public Sub GetString2(Encoding As String) As String";
[B4IRDebugUtils shared].currentLine=983041;
 //BA.debugLineNum = 983041;BA.debugLine="Return res.GetString2(Encoding)";
if (true) return [__ref._res GetString2:_encoding];
[B4IRDebugUtils shared].currentLine=983042;
 //BA.debugLineNum = 983042;BA.debugLine="End Sub";
return @"";
}
- (NSString*)  _initialize:(b4i_httpjob*) __ref :(B4I*) _ba :(NSString*) _name :(NSObject*) _targetmodule{
__ref = self;
[self initializeClassModule];
[B4IRDebugUtils shared].currentModule=@"httpjob";
[B4IRDebugUtils shared].currentLine=327680;
 //BA.debugLineNum = 327680;BA.debugLine="Public Sub Initialize (Name As String, TargetModule As Object)";
[B4IRDebugUtils shared].currentLine=327681;
 //BA.debugLineNum = 327681;BA.debugLine="JobName = Name";
__ref._jobname = _name;
[B4IRDebugUtils shared].currentLine=327682;
 //BA.debugLineNum = 327682;BA.debugLine="target = TargetModule";
__ref._target = _targetmodule;
[B4IRDebugUtils shared].currentLine=327683;
 //BA.debugLineNum = 327683;BA.debugLine="End Sub";
return @"";
}
- (NSString*)  _postbytes:(b4i_httpjob*) __ref :(NSString*) _link :(B4IArray*) _data{
__ref = self;
[B4IRDebugUtils shared].currentModule=@"httpjob";
[B4IRDebugUtils shared].currentLine=458752;
 //BA.debugLineNum = 458752;BA.debugLine="Public Sub PostBytes(Link As String, Data() As Byte)";
[B4IRDebugUtils shared].currentLine=458753;
 //BA.debugLineNum = 458753;BA.debugLine="req.InitializePost2(Link, Data)";
[__ref._req InitializePost2:_link :_data];
[B4IRDebugUtils shared].currentLine=458754;
 //BA.debugLineNum = 458754;BA.debugLine="CallSubDelayed2(HttpUtils2Service, \"SubmitJob\", Me)";
[self.__c CallSubDelayed2:self.bi :(NSObject*)((self._httputils2service).object) :@"SubmitJob" :self];
[B4IRDebugUtils shared].currentLine=458755;
 //BA.debugLineNum = 458755;BA.debugLine="End Sub";
return @"";
}
- (NSString*)  _postfile:(b4i_httpjob*) __ref :(NSString*) _link :(NSString*) _dir :(NSString*) _filename{
__ref = self;
[B4IRDebugUtils shared].currentModule=@"httpjob";
[B4IRDebugUtils shared].currentLine=524288;
 //BA.debugLineNum = 524288;BA.debugLine="Public Sub PostFile(Link As String, Dir As String, FileName As String)";
[B4IRDebugUtils shared].currentLine=524289;
 //BA.debugLineNum = 524289;BA.debugLine="req.InitializePost(Link, Dir, FileName)";
[__ref._req InitializePost:_link :_dir :_filename];
[B4IRDebugUtils shared].currentLine=524290;
 //BA.debugLineNum = 524290;BA.debugLine="CallSubDelayed2(HttpUtils2Service, \"SubmitJob\", Me)";
[self.__c CallSubDelayed2:self.bi :(NSObject*)((self._httputils2service).object) :@"SubmitJob" :self];
[B4IRDebugUtils shared].currentLine=524291;
 //BA.debugLineNum = 524291;BA.debugLine="End Sub";
return @"";
}
- (NSString*)  _poststring:(b4i_httpjob*) __ref :(NSString*) _link :(NSString*) _text{
__ref = self;
[B4IRDebugUtils shared].currentModule=@"httpjob";
[B4IRDebugUtils shared].currentLine=393216;
 //BA.debugLineNum = 393216;BA.debugLine="Public Sub PostString(Link As String, Text As String)";
[B4IRDebugUtils shared].currentLine=393217;
 //BA.debugLineNum = 393217;BA.debugLine="PostBytes(Link, Text.GetBytes(\"UTF8\"))";
[__ref _postbytes:nil :_link :[_text GetBytes:@"UTF8"]];
[B4IRDebugUtils shared].currentLine=393218;
 //BA.debugLineNum = 393218;BA.debugLine="End Sub";
return @"";
}
- (NSString*)  _release:(b4i_httpjob*) __ref{
__ref = self;
[B4IRDebugUtils shared].currentModule=@"httpjob";
[B4IRDebugUtils shared].currentLine=851968;
 //BA.debugLineNum = 851968;BA.debugLine="Public Sub Release";
[B4IRDebugUtils shared].currentLine=851970;
 //BA.debugLineNum = 851970;BA.debugLine="End Sub";
return @"";
}
@end