
#import "b4i_httputils2service.h"
#import "b4i_main.h"
#import "b4i_httpjob.h"
#import "b4i_settings.h"


@implementation b4i_httputils2service 


+ (instancetype)new {
    static b4i_httputils2service* shared = nil;
    if (shared == nil) {
        shared = [self alloc];
        shared.bi = [[B4IShellBI alloc] init:shared];
        shared.__c = [B4ICommon new];
    }
    return shared;
}
- (int)debugAppId {
    return 1949347363;
}


- (NSString*)  _completejob:(int) _taskid :(BOOL) _success :(NSString*) _errormessage :(B4IHttpResponse*) _res{
[B4IRDebugUtils shared].currentModule=@"httputils2service";
b4i_httpjob* _job = nil;
[B4IRDebugUtils shared].currentLine=1507328;
 //BA.debugLineNum = 1507328;BA.debugLine="Sub CompleteJob(TaskId As Int, success As Boolean, errorMessage As String, res As HttpResponse)";
[B4IRDebugUtils shared].currentLine=1507329;
 //BA.debugLineNum = 1507329;BA.debugLine="Dim job As HttpJob";
_job = [b4i_httpjob new];
[B4IRDebugUtils shared].currentLine=1507330;
 //BA.debugLineNum = 1507330;BA.debugLine="job = TaskIdToJob.Get(TaskId)";
_job = (b4i_httpjob*)([self._taskidtojob Get:(NSObject*)(@(_taskid))]);
[B4IRDebugUtils shared].currentLine=1507331;
 //BA.debugLineNum = 1507331;BA.debugLine="TaskIdToJob.Remove(TaskId)";
[self._taskidtojob Remove:(NSObject*)(@(_taskid))];
[B4IRDebugUtils shared].currentLine=1507332;
 //BA.debugLineNum = 1507332;BA.debugLine="job.success = success";
_job._success = _success;
[B4IRDebugUtils shared].currentLine=1507333;
 //BA.debugLineNum = 1507333;BA.debugLine="job.errorMessage = errorMessage";
_job._errormessage = _errormessage;
[B4IRDebugUtils shared].currentLine=1507334;
 //BA.debugLineNum = 1507334;BA.debugLine="job.Complete(res)";
[_job _complete:nil :_res];
[B4IRDebugUtils shared].currentLine=1507335;
 //BA.debugLineNum = 1507335;BA.debugLine="End Sub";
return @"";
}
- (NSString*)  _hc_responseerror:(B4IHttpResponse*) _response :(NSString*) _reason :(int) _statuscode :(int) _taskid{
[B4IRDebugUtils shared].currentModule=@"httputils2service";
[B4IRDebugUtils shared].currentLine=1376256;
 //BA.debugLineNum = 1376256;BA.debugLine="Sub hc_ResponseError (Response As HttpResponse, Reason As String, StatusCode As Int, TaskId As Int)";
[B4IRDebugUtils shared].currentLine=1376257;
 //BA.debugLineNum = 1376257;BA.debugLine="Log(\"Error response: \" & Response.GetString & \", status code: \" & StatusCode)";
[self.__c Log:[@[@"Error response: ",[_response GetString],@", status code: ",[self.bi NumberToString:@(_statuscode)]] componentsJoinedByString:@""]];
[B4IRDebugUtils shared].currentLine=1376258;
 //BA.debugLineNum = 1376258;BA.debugLine="CompleteJob(TaskId, False, Reason, Null)";
[self _completejob:_taskid :[self.__c False] :_reason :(B4IHttpResponse*)([self.__c Null])];
[B4IRDebugUtils shared].currentLine=1376259;
 //BA.debugLineNum = 1376259;BA.debugLine="End Sub";
return @"";
}
- (NSString*)  _hc_responsesuccess:(B4IHttpResponse*) _response :(int) _taskid{
[B4IRDebugUtils shared].currentModule=@"httputils2service";
[B4IRDebugUtils shared].currentLine=1441792;
 //BA.debugLineNum = 1441792;BA.debugLine="Sub hc_ResponseSuccess (Response As HttpResponse, TaskId As Int)";
[B4IRDebugUtils shared].currentLine=1441793;
 //BA.debugLineNum = 1441793;BA.debugLine="CompleteJob(TaskId, True, \"\", Response)";
[self _completejob:_taskid :[self.__c True] :@"" :_response];
[B4IRDebugUtils shared].currentLine=1441794;
 //BA.debugLineNum = 1441794;BA.debugLine="End Sub";
return @"";
}
- (NSString*)  _initialize{
[B4IRDebugUtils shared].currentModule=@"httputils2service";
[B4IRDebugUtils shared].currentLine=1245184;
 //BA.debugLineNum = 1245184;BA.debugLine="Private Sub initialize";
[B4IRDebugUtils shared].currentLine=1245185;
 //BA.debugLineNum = 1245185;BA.debugLine="hc.initialize(\"hc\")";
[self._hc Initialize:self.bi :@"hc"];
[B4IRDebugUtils shared].currentLine=1245186;
 //BA.debugLineNum = 1245186;BA.debugLine="TaskIdToJob.initialize";
[self._taskidtojob Initialize];
[B4IRDebugUtils shared].currentLine=1245187;
 //BA.debugLineNum = 1245187;BA.debugLine="End Sub";
return @"";
}
- (NSString*)  _process_globals{
self._main=[b4i_main new];
self._settings=[b4i_settings new];
[B4IRDebugUtils shared].currentModule=@"httputils2service";
[B4IRDebugUtils shared].currentLine=1179648;
 //BA.debugLineNum = 1179648;BA.debugLine="Sub Process_Globals";
return @"";
}
- (NSString*)  _submitjob:(b4i_httpjob*) _job{
[B4IRDebugUtils shared].currentModule=@"httputils2service";
[B4IRDebugUtils shared].currentLine=1310720;
 //BA.debugLineNum = 1310720;BA.debugLine="Public Sub SubmitJob(job As HttpJob)";
[B4IRDebugUtils shared].currentLine=1310721;
 //BA.debugLineNum = 1310721;BA.debugLine="If hc.IsInitialized = False Then initialize";
if ([self._hc IsInitialized]==[self.__c False]) { 
[self _initialize];};
[B4IRDebugUtils shared].currentLine=1310722;
 //BA.debugLineNum = 1310722;BA.debugLine="taskCounter = taskCounter + 1";
self._taskcounter = (int) (self._taskcounter+1);
[B4IRDebugUtils shared].currentLine=1310723;
 //BA.debugLineNum = 1310723;BA.debugLine="TaskIdToJob.Put(taskCounter, job)";
[self._taskidtojob Put:(NSObject*)(@(self._taskcounter)) :(NSObject*)(_job)];
[B4IRDebugUtils shared].currentLine=1310724;
 //BA.debugLineNum = 1310724;BA.debugLine="If job.Username <> \"\" AND job.Password <> \"\" Then";
if ([_job._username isEqual:@""] == false && [_job._password isEqual:@""] == false) { 
[B4IRDebugUtils shared].currentLine=1310725;
 //BA.debugLineNum = 1310725;BA.debugLine="hc.ExecuteCredentials(job.GetRequest, taskCounter, job.Username, job.Password)";
[self._hc ExecuteCredentials:[_job _getrequest:nil] :self._taskcounter :_job._username :_job._password];
 }else {
[B4IRDebugUtils shared].currentLine=1310727;
 //BA.debugLineNum = 1310727;BA.debugLine="hc.Execute(job.GetRequest, taskCounter)";
[self._hc Execute:[_job _getrequest:nil] :self._taskcounter];
 };
[B4IRDebugUtils shared].currentLine=1310729;
 //BA.debugLineNum = 1310729;BA.debugLine="End Sub";
return @"";
}
@end