#import "iCore.h"
#import "iSQL.h"
#import "iXmlSax.h"
#import "iLocation.h"
#import "iHttp.h"
#import "iRandomAccessFile.h"
#import "iPhone.h"
#import "iStringUtils.h"
#import "iNetwork.h"
#import "iHUD.h"
#import "iJSON.h"
#import "iDebug.h"
@class b4i_httputils2service;
@class b4i_settings;
@class b4i_httpjob;
@interface b4i_main : B4IStaticModule
- (NSString*)  _application_background;
- (NSString*)  _application_start:(B4INavigationControllerWrapper*) _nav;
- (NSString*)  _btnsettings_click;
- (NSString*)  _lblstop_click;
- (NSString*)  _lblupdate_click;
- (NSString*)  _mailc_complete:(int) _result;
- (NSString*)  _page1_resize:(int) _width :(int) _height;
- (NSString*)  _process_globals;
@property (nonatomic)B4IApplicationWrapper* _app;
@property (nonatomic)B4INavigationControllerWrapper* _navcontrol;
@property (nonatomic)B4IPage* _page1;
@property (nonatomic)NSString* _versiontype;
@property (nonatomic)NSString* _versionname;
@property (nonatomic)B4ISQL* _mydb;
@property (nonatomic)B4ISQL* _myerrdb;
@property (nonatomic)B4ILocationWrapper* _mygps;
@property (nonatomic)double _fixlat;
@property (nonatomic)double _fixlon;
@property (nonatomic)long long _fixtime;
@property (nonatomic)int _newid;
@property (nonatomic)B4ISaxParser* _parser;
@property (nonatomic)NSString* _errstatus;
@property (nonatomic)NSString* _errcode;
@property (nonatomic)NSString* _errmessage;
@property (nonatomic)NSString* _messageurl;
@property (nonatomic)B4IMap* _mysettings;
@property (nonatomic)NSString* _selecteddeviceid;
@property (nonatomic)B4ITimer* _authtimer;
@property (nonatomic)B4ITimer* _forceupdatetimer;
@property (nonatomic)NSString* _picname;
@property (nonatomic)B4IPanelWrapper* _p1;
@property (nonatomic)B4ITextViewWrapper* _t1;
@property (nonatomic)B4ITimer* _ttimer;
@property (nonatomic)B4IButtonWrapper* _btnsettings;
@property (nonatomic)B4IButtonWrapper* _btnconn;
@property (nonatomic)B4ILabelWrapper* _lblqpoints;
@property (nonatomic)B4ILabelWrapper* _lblbubb;
@property (nonatomic)B4ILabelWrapper* _lbldetail;
@property (nonatomic)B4ILabelWrapper* _lblactivity;
@property (nonatomic)B4ILabelWrapper* _lblpoint;
@property (nonatomic)B4ILabelWrapper* _lblup;
@property (nonatomic)B4ILabelWrapper* _lblwait;
@property (nonatomic)B4IButtonWrapper* _lblupdate;
@property (nonatomic)B4IButtonWrapper* _lblstop;
@property (nonatomic)B4IMailComposer* _mailc;
@property (nonatomic)B4IImageViewWrapper* _imgsettings;
@property (nonatomic)B4IImageViewWrapper* _imgconn;
@property (nonatomic)B4IImageViewWrapper* _imgbubb;
@property (nonatomic)b4i_httputils2service* _httputils2service;
@property (nonatomic)b4i_settings* _settings;
- (NSString*)  _sendemail;
- (NSString*)  _ttimer_tick;
@end
