
#import "b4i_main.h"
#import "b4i_httpjob.h"
#import "b4i_httputils2service.h"
#import "b4i_settings.h"


@implementation b4i_main 


+ (instancetype)new {
    static b4i_main* shared = nil;
    if (shared == nil) {
        shared = [self alloc];
        shared.bi = [[B4IShellBI alloc] init:shared];
        shared.__c = [B4ICommon new];
    }
    return shared;
}
- (int)debugAppId {
    return 1949347363;
}


- (NSString*)  _application_background{
[B4IRDebugUtils shared].currentModule=@"main";
[B4IRDebugUtils shared].currentLine=196608;
 //BA.debugLineNum = 196608;BA.debugLine="Private Sub Application_Background";
[B4IRDebugUtils shared].currentLine=196610;
 //BA.debugLineNum = 196610;BA.debugLine="End Sub";
return @"";
}
- (NSString*)  _application_start:(B4INavigationControllerWrapper*) _nav{
[B4IRDebugUtils shared].currentModule=@"main";
int _fsize = 0;
[B4IRDebugUtils shared].currentLine=65536;
 //BA.debugLineNum = 65536;BA.debugLine="Private Sub Application_Start (Nav As NavigationController)";
[B4IRDebugUtils shared].currentLine=65537;
 //BA.debugLineNum = 65537;BA.debugLine="NavControl = Nav";
self._navcontrol = _nav;
[B4IRDebugUtils shared].currentLine=65538;
 //BA.debugLineNum = 65538;BA.debugLine="Page1.Initialize(\"Page1\")";
[self._page1 Initialize:self.bi :@"Page1"];
[B4IRDebugUtils shared].currentLine=65539;
 //BA.debugLineNum = 65539;BA.debugLine="Page1.Title = \"Home\"";
[self._page1 setTitle:@"Home"];
[B4IRDebugUtils shared].currentLine=65540;
 //BA.debugLineNum = 65540;BA.debugLine="Page1.RootPanel.Color = Colors.black";
[[self._page1 RootPanel] setColor:[[self.__c Colors] Black]];
[B4IRDebugUtils shared].currentLine=65545;
 //BA.debugLineNum = 65545;BA.debugLine="If p1.IsInitialized = False Then";
if ([self._p1 IsInitialized]==[self.__c False]) { 
[B4IRDebugUtils shared].currentLine=65546;
 //BA.debugLineNum = 65546;BA.debugLine="p1.Initialize(\"\")";
[self._p1 Initialize:self.bi :@""];
 };
[B4IRDebugUtils shared].currentLine=65548;
 //BA.debugLineNum = 65548;BA.debugLine="If t1.IsInitialized = False Then";
if ([self._t1 IsInitialized]==[self.__c False]) { 
[B4IRDebugUtils shared].currentLine=65549;
 //BA.debugLineNum = 65549;BA.debugLine="t1.Initialize(\"\")";
[self._t1 Initialize:self.bi :@""];
 };
[B4IRDebugUtils shared].currentLine=65551;
 //BA.debugLineNum = 65551;BA.debugLine="NavControl.ShowPage(Page1)";
[self._navcontrol ShowPage:(UIViewController*)((self._page1).object)];
[B4IRDebugUtils shared].currentLine=65553;
 //BA.debugLineNum = 65553;BA.debugLine="If lblQPoints.IsInitialized = False Then";
if ([self._lblqpoints IsInitialized]==[self.__c False]) { 
[B4IRDebugUtils shared].currentLine=65554;
 //BA.debugLineNum = 65554;BA.debugLine="lblQPoints.Initialize(\"\")";
[self._lblqpoints Initialize:self.bi :@""];
 };
[B4IRDebugUtils shared].currentLine=65559;
 //BA.debugLineNum = 65559;BA.debugLine="If btnSettings.IsInitialized = False Then";
if ([self._btnsettings IsInitialized]==[self.__c False]) { 
[B4IRDebugUtils shared].currentLine=65560;
 //BA.debugLineNum = 65560;BA.debugLine="btnSettings.InitializeCustom(\"btnSettings\", Colors.White, Colors.Gray)";
[self._btnsettings InitializeCustom:@"btnSettings" :self.bi :[[self.__c Colors] White] :[[self.__c Colors] Gray]];
[B4IRDebugUtils shared].currentLine=65561;
 //BA.debugLineNum = 65561;BA.debugLine="btnSettings.Text = \"Settings\"";
[self._btnsettings setText:@"Settings"];
[B4IRDebugUtils shared].currentLine=65562;
 //BA.debugLineNum = 65562;BA.debugLine="btnSettings.SizeToFit";
[self._btnsettings SizeToFit];
 };
[B4IRDebugUtils shared].currentLine=65565;
 //BA.debugLineNum = 65565;BA.debugLine="If btnConn.IsInitialized = False Then";
if ([self._btnconn IsInitialized]==[self.__c False]) { 
[B4IRDebugUtils shared].currentLine=65566;
 //BA.debugLineNum = 65566;BA.debugLine="btnConn.InitializeCustom(\"btnConn\", Colors.White, Colors.Gray)";
[self._btnconn InitializeCustom:@"btnConn" :self.bi :[[self.__c Colors] White] :[[self.__c Colors] Gray]];
[B4IRDebugUtils shared].currentLine=65567;
 //BA.debugLineNum = 65567;BA.debugLine="btnConn.Text = \"Internet\"";
[self._btnconn setText:@"Internet"];
 };
[B4IRDebugUtils shared].currentLine=65571;
 //BA.debugLineNum = 65571;BA.debugLine="If imgSettings.IsInitialized = \"false\" Then";
if ([self._imgsettings IsInitialized]==[self.bi ObjectToBoolean:@"false"]) { 
[B4IRDebugUtils shared].currentLine=65572;
 //BA.debugLineNum = 65572;BA.debugLine="imgSettings.Initialize(\"btnSettings\")";
[self._imgsettings Initialize:self.bi :@"btnSettings"];
 };
[B4IRDebugUtils shared].currentLine=65576;
 //BA.debugLineNum = 65576;BA.debugLine="If imgConn.IsInitialized = \"false\" Then";
if ([self._imgconn IsInitialized]==[self.bi ObjectToBoolean:@"false"]) { 
[B4IRDebugUtils shared].currentLine=65577;
 //BA.debugLineNum = 65577;BA.debugLine="imgConn.Initialize(\"btnConn\")";
[self._imgconn Initialize:self.bi :@"btnConn"];
 };
[B4IRDebugUtils shared].currentLine=65581;
 //BA.debugLineNum = 65581;BA.debugLine="If imgBubb.IsInitialized = \"false\" Then";
if ([self._imgbubb IsInitialized]==[self.bi ObjectToBoolean:@"false"]) { 
[B4IRDebugUtils shared].currentLine=65582;
 //BA.debugLineNum = 65582;BA.debugLine="imgBubb.Initialize(\"btnBubb\")";
[self._imgbubb Initialize:self.bi :@"btnBubb"];
[B4IRDebugUtils shared].currentLine=65583;
 //BA.debugLineNum = 65583;BA.debugLine="imgBubb.Bitmap = LoadBitmap(File.DirAssets, \"splitballoonwsignsmall.png\")";
[self._imgbubb setBitmap:[self.__c LoadBitmap:[[self.__c File] DirAssets] :@"splitballoonwsignsmall.png"]];
 };
[B4IRDebugUtils shared].currentLine=65586;
 //BA.debugLineNum = 65586;BA.debugLine="lblBubb.Initialize(\"btnBubb\")";
[self._lblbubb Initialize:self.bi :@"btnBubb"];
[B4IRDebugUtils shared].currentLine=65587;
 //BA.debugLineNum = 65587;BA.debugLine="lblBubb.TextColor = Colors.White";
[self._lblbubb setTextColor:[[self.__c Colors] White]];
[B4IRDebugUtils shared].currentLine=65588;
 //BA.debugLineNum = 65588;BA.debugLine="lblBubb.TextAlignment = lblBubb.ALIGNMENT_CENTER";
[self._lblbubb setTextAlignment:[self._lblbubb ALIGNMENT_CENTER]];
[B4IRDebugUtils shared].currentLine=65589;
 //BA.debugLineNum = 65589;BA.debugLine="lblBubb.Text = \"New Message\"";
[self._lblbubb setText:@"New Message"];
[B4IRDebugUtils shared].currentLine=65591;
 //BA.debugLineNum = 65591;BA.debugLine="lblDetail.Initialize(\"\")";
[self._lbldetail Initialize:self.bi :@""];
[B4IRDebugUtils shared].currentLine=65592;
 //BA.debugLineNum = 65592;BA.debugLine="lblDetail.Text = \"Activity Detail\"";
[self._lbldetail setText:@"Activity Detail"];
[B4IRDebugUtils shared].currentLine=65593;
 //BA.debugLineNum = 65593;BA.debugLine="lblDetail.Font = Font.DEFAULT_BOLD";
[self._lbldetail setFont:[[self.__c Font] DEFAULT_BOLD]];
[B4IRDebugUtils shared].currentLine=65594;
 //BA.debugLineNum = 65594;BA.debugLine="lblDetail.TextColor = Colors.White";
[self._lbldetail setTextColor:[[self.__c Colors] White]];
[B4IRDebugUtils shared].currentLine=65595;
 //BA.debugLineNum = 65595;BA.debugLine="Dim fsize As Int";
_fsize = 0;
[B4IRDebugUtils shared].currentLine=65596;
 //BA.debugLineNum = 65596;BA.debugLine="fsize = lblDetail.Font.Size";
_fsize = (int) ([[self._lbldetail Font] Size]);
[B4IRDebugUtils shared].currentLine=65597;
 //BA.debugLineNum = 65597;BA.debugLine="lblActivity.Initialize(\"\")";
[self._lblactivity Initialize:self.bi :@""];
[B4IRDebugUtils shared].currentLine=65598;
 //BA.debugLineNum = 65598;BA.debugLine="lblActivity.TextColor = Colors.White";
[self._lblactivity setTextColor:[[self.__c Colors] White]];
[B4IRDebugUtils shared].currentLine=65599;
 //BA.debugLineNum = 65599;BA.debugLine="lblActivity.Font = Font.DEFAULT_BOLD";
[self._lblactivity setFont:[[self.__c Font] DEFAULT_BOLD]];
[B4IRDebugUtils shared].currentLine=65601;
 //BA.debugLineNum = 65601;BA.debugLine="lblPoint.Initialize(\"\")";
[self._lblpoint Initialize:self.bi :@""];
[B4IRDebugUtils shared].currentLine=65602;
 //BA.debugLineNum = 65602;BA.debugLine="lblPoint.TextColor = Colors.White";
[self._lblpoint setTextColor:[[self.__c Colors] White]];
[B4IRDebugUtils shared].currentLine=65603;
 //BA.debugLineNum = 65603;BA.debugLine="lblPoint.Font = Font.DEFAULT_BOLD";
[self._lblpoint setFont:[[self.__c Font] DEFAULT_BOLD]];
[B4IRDebugUtils shared].currentLine=65605;
 //BA.debugLineNum = 65605;BA.debugLine="lblUp.Initialize(\"\")";
[self._lblup Initialize:self.bi :@""];
[B4IRDebugUtils shared].currentLine=65606;
 //BA.debugLineNum = 65606;BA.debugLine="lblUp.TextColor = Colors.White";
[self._lblup setTextColor:[[self.__c Colors] White]];
[B4IRDebugUtils shared].currentLine=65607;
 //BA.debugLineNum = 65607;BA.debugLine="lblUp.Font = Font.DEFAULT_BOLD";
[self._lblup setFont:[[self.__c Font] DEFAULT_BOLD]];
[B4IRDebugUtils shared].currentLine=65609;
 //BA.debugLineNum = 65609;BA.debugLine="lblWait.Initialize(\"\")";
[self._lblwait Initialize:self.bi :@""];
[B4IRDebugUtils shared].currentLine=65610;
 //BA.debugLineNum = 65610;BA.debugLine="lblWait.TextColor = Colors.White";
[self._lblwait setTextColor:[[self.__c Colors] White]];
[B4IRDebugUtils shared].currentLine=65611;
 //BA.debugLineNum = 65611;BA.debugLine="lblWait.Font = Font.DEFAULT_BOLD";
[self._lblwait setFont:[[self.__c Font] DEFAULT_BOLD]];
[B4IRDebugUtils shared].currentLine=65613;
 //BA.debugLineNum = 65613;BA.debugLine="If lblUpdate.IsInitialized = False Then";
if ([self._lblupdate IsInitialized]==[self.__c False]) { 
[B4IRDebugUtils shared].currentLine=65614;
 //BA.debugLineNum = 65614;BA.debugLine="lblUpdate.InitializeCustom(\"lblUpdate\", Colors.White, Colors.Gray)";
[self._lblupdate InitializeCustom:@"lblUpdate" :self.bi :[[self.__c Colors] White] :[[self.__c Colors] Gray]];
[B4IRDebugUtils shared].currentLine=65616;
 //BA.debugLineNum = 65616;BA.debugLine="lblUpdate.Color = Colors.ARGB(255,27,158,27)";
[self._lblupdate setColor:[[self.__c Colors] ARGB:(int) (255) :(int) (27) :(int) (158) :(int) (27)]];
[B4IRDebugUtils shared].currentLine=65618;
 //BA.debugLineNum = 65618;BA.debugLine="lblUpdate.Text = \"Update Now\"";
[self._lblupdate setText:@"Update Now"];
 };
[B4IRDebugUtils shared].currentLine=65622;
 //BA.debugLineNum = 65622;BA.debugLine="lblStop.InitializeCustom(\"lblStop\", Colors.White, Colors.Gray)";
[self._lblstop InitializeCustom:@"lblStop" :self.bi :[[self.__c Colors] White] :[[self.__c Colors] Gray]];
[B4IRDebugUtils shared].currentLine=65623;
 //BA.debugLineNum = 65623;BA.debugLine="lblStop.Color = Colors.Red";
[self._lblstop setColor:[[self.__c Colors] Red]];
[B4IRDebugUtils shared].currentLine=65625;
 //BA.debugLineNum = 65625;BA.debugLine="lblStop.Text = \"Stop\"";
[self._lblstop setText:@"Stop"];
[B4IRDebugUtils shared].currentLine=65628;
 //BA.debugLineNum = 65628;BA.debugLine="ttimer.Initialize(\"ttimer\", 20000)";
[self._ttimer Initialize:self.bi :@"ttimer" :(long long) (20000)];
[B4IRDebugUtils shared].currentLine=65629;
 //BA.debugLineNum = 65629;BA.debugLine="ttimer.Enabled = True";
[self._ttimer setEnabled:[self.__c True]];
[B4IRDebugUtils shared].currentLine=65633;
 //BA.debugLineNum = 65633;BA.debugLine="End Sub";
return @"";
}
- (NSString*)  _btnsettings_click{
[B4IRDebugUtils shared].currentModule=@"main";
[B4IRDebugUtils shared].currentLine=1638400;
 //BA.debugLineNum = 1638400;BA.debugLine="Sub btnSettings_Click";
[B4IRDebugUtils shared].currentLine=1638401;
 //BA.debugLineNum = 1638401;BA.debugLine="Settings.Launch";
[self._settings _launch];
[B4IRDebugUtils shared].currentLine=1638402;
 //BA.debugLineNum = 1638402;BA.debugLine="End Sub";
return @"";
}
- (NSString*)  _lblstop_click{
[B4IRDebugUtils shared].currentModule=@"main";
iHUD* _h = nil;
[B4IRDebugUtils shared].currentLine=1900544;
 //BA.debugLineNum = 1900544;BA.debugLine="Sub lblStop_Click";
[B4IRDebugUtils shared].currentLine=1900546;
 //BA.debugLineNum = 1900546;BA.debugLine="Dim h As HUD";
_h = [iHUD new];
[B4IRDebugUtils shared].currentLine=1900547;
 //BA.debugLineNum = 1900547;BA.debugLine="h.ToastMessageShow(\"Tracking stopped\", True)";
[_h ToastMessageShow:@"Tracking stopped" :[self.__c True]];
[B4IRDebugUtils shared].currentLine=1900548;
 //BA.debugLineNum = 1900548;BA.debugLine="End Sub";
return @"";
}
- (NSString*)  _lblupdate_click{
[B4IRDebugUtils shared].currentModule=@"main";
iHUD* _h = nil;
[B4IRDebugUtils shared].currentLine=1835008;
 //BA.debugLineNum = 1835008;BA.debugLine="Sub lblUpdate_Click";
[B4IRDebugUtils shared].currentLine=1835010;
 //BA.debugLineNum = 1835010;BA.debugLine="Dim h As HUD";
_h = [iHUD new];
[B4IRDebugUtils shared].currentLine=1835011;
 //BA.debugLineNum = 1835011;BA.debugLine="h.ToastMessageShow(\"Tracking started\", True)";
[_h ToastMessageShow:@"Tracking started" :[self.__c True]];
[B4IRDebugUtils shared].currentLine=1835012;
 //BA.debugLineNum = 1835012;BA.debugLine="End Sub";
return @"";
}
- (NSString*)  _mailc_complete:(int) _result{
[B4IRDebugUtils shared].currentModule=@"main";
iHUD* _hd = nil;
[B4IRDebugUtils shared].currentLine=1769472;
 //BA.debugLineNum = 1769472;BA.debugLine="Sub Mailc_Complete (Result As Int)";
[B4IRDebugUtils shared].currentLine=1769473;
 //BA.debugLineNum = 1769473;BA.debugLine="Dim hd As HUD";
_hd = [iHUD new];
[B4IRDebugUtils shared].currentLine=1769474;
 //BA.debugLineNum = 1769474;BA.debugLine="If Result = mailc.RESULT_SENT Then";
if (_result==[self._mailc RESULT_SENT]) { 
[B4IRDebugUtils shared].currentLine=1769475;
 //BA.debugLineNum = 1769475;BA.debugLine="hd.ToastMessageShow(\"Message sent\", True)";
[_hd ToastMessageShow:@"Message sent" :[self.__c True]];
 }else {
[B4IRDebugUtils shared].currentLine=1769478;
 //BA.debugLineNum = 1769478;BA.debugLine="hd.ToastMessageShow(\"Message was not sent\", True)";
[_hd ToastMessageShow:@"Message was not sent" :[self.__c True]];
 };
[B4IRDebugUtils shared].currentLine=1769482;
 //BA.debugLineNum = 1769482;BA.debugLine="End Sub";
return @"";
}
- (NSString*)  _page1_resize:(int) _width :(int) _height{
[B4IRDebugUtils shared].currentModule=@"main";
[B4IRDebugUtils shared].currentLine=131072;
 //BA.debugLineNum = 131072;BA.debugLine="Private Sub Page1_Resize(Width As Int, Height As Int)";
[B4IRDebugUtils shared].currentLine=131073;
 //BA.debugLineNum = 131073;BA.debugLine="Page1.RootPanel.RemoveAllViews";
[[self._page1 RootPanel] RemoveAllViews];
[B4IRDebugUtils shared].currentLine=131076;
 //BA.debugLineNum = 131076;BA.debugLine="If Width < Height Then";
if (_width<_height) { 
[B4IRDebugUtils shared].currentLine=131077;
 //BA.debugLineNum = 131077;BA.debugLine="Page1.RootPanel.AddView(btnConn, 70%x, 0%y, 5%x, 10%x)";
[[self._page1 RootPanel] AddView:(UIView*)((self._btnconn).object) :[self.__c PerXToCurrent:(float) (70)] :[self.__c PerYToCurrent:(float) (0)] :[self.__c PerXToCurrent:(float) (5)] :[self.__c PerXToCurrent:(float) (10)]];
[B4IRDebugUtils shared].currentLine=131078;
 //BA.debugLineNum = 131078;BA.debugLine="Page1.RootPanel.AddView(imgSettings, 0%x, 0%y, 10%x, 10%x)";
[[self._page1 RootPanel] AddView:(UIView*)((self._imgsettings).object) :[self.__c PerXToCurrent:(float) (0)] :[self.__c PerYToCurrent:(float) (0)] :[self.__c PerXToCurrent:(float) (10)] :[self.__c PerXToCurrent:(float) (10)]];
[B4IRDebugUtils shared].currentLine=131079;
 //BA.debugLineNum = 131079;BA.debugLine="Page1.RootPanel.AddView(imgConn, 90%x, 0%y, 10%x, 10%x)";
[[self._page1 RootPanel] AddView:(UIView*)((self._imgconn).object) :[self.__c PerXToCurrent:(float) (90)] :[self.__c PerYToCurrent:(float) (0)] :[self.__c PerXToCurrent:(float) (10)] :[self.__c PerXToCurrent:(float) (10)]];
[B4IRDebugUtils shared].currentLine=131080;
 //BA.debugLineNum = 131080;BA.debugLine="Page1.RootPanel.AddView(btnSettings, 11%x, 0%y, 5%x, 10%x)";
[[self._page1 RootPanel] AddView:(UIView*)((self._btnsettings).object) :[self.__c PerXToCurrent:(float) (11)] :[self.__c PerYToCurrent:(float) (0)] :[self.__c PerXToCurrent:(float) (5)] :[self.__c PerXToCurrent:(float) (10)]];
[B4IRDebugUtils shared].currentLine=131081;
 //BA.debugLineNum = 131081;BA.debugLine="Page1.RootPanel.AddView(imgBubb, 37%x, 6%y, 26%x, 30%y)";
[[self._page1 RootPanel] AddView:(UIView*)((self._imgbubb).object) :[self.__c PerXToCurrent:(float) (37)] :[self.__c PerYToCurrent:(float) (6)] :[self.__c PerXToCurrent:(float) (26)] :[self.__c PerYToCurrent:(float) (30)]];
[B4IRDebugUtils shared].currentLine=131082;
 //BA.debugLineNum = 131082;BA.debugLine="Page1.RootPanel.AddView(lblBubb, 30%x, 33%y, 40%x, 10%x)";
[[self._page1 RootPanel] AddView:(UIView*)((self._lblbubb).object) :[self.__c PerXToCurrent:(float) (30)] :[self.__c PerYToCurrent:(float) (33)] :[self.__c PerXToCurrent:(float) (40)] :[self.__c PerXToCurrent:(float) (10)]];
[B4IRDebugUtils shared].currentLine=131083;
 //BA.debugLineNum = 131083;BA.debugLine="Page1.RootPanel.AddView(lblDetail, 0%x, 70%y, 100%x, 10%x)";
[[self._page1 RootPanel] AddView:(UIView*)((self._lbldetail).object) :[self.__c PerXToCurrent:(float) (0)] :[self.__c PerYToCurrent:(float) (70)] :[self.__c PerXToCurrent:(float) (100)] :[self.__c PerXToCurrent:(float) (10)]];
[B4IRDebugUtils shared].currentLine=131084;
 //BA.debugLineNum = 131084;BA.debugLine="Page1.RootPanel.AddView(lblActivity, 0%x, 70%y + 7%x, 100%x, 7%x)";
[[self._page1 RootPanel] AddView:(UIView*)((self._lblactivity).object) :[self.__c PerXToCurrent:(float) (0)] :(float) ([self.__c PerYToCurrent:(float) (70)]+[self.__c PerXToCurrent:(float) (7)]) :[self.__c PerXToCurrent:(float) (100)] :[self.__c PerXToCurrent:(float) (7)]];
[B4IRDebugUtils shared].currentLine=131085;
 //BA.debugLineNum = 131085;BA.debugLine="Page1.RootPanel.AddView(lblPoint, 0%x, 70%y + 14%x, 100%x, 7%x)";
[[self._page1 RootPanel] AddView:(UIView*)((self._lblpoint).object) :[self.__c PerXToCurrent:(float) (0)] :(float) ([self.__c PerYToCurrent:(float) (70)]+[self.__c PerXToCurrent:(float) (14)]) :[self.__c PerXToCurrent:(float) (100)] :[self.__c PerXToCurrent:(float) (7)]];
[B4IRDebugUtils shared].currentLine=131086;
 //BA.debugLineNum = 131086;BA.debugLine="Page1.RootPanel.AddView(lblUp, 0%x, 70%y + 21%x, 100%x, 7%x)";
[[self._page1 RootPanel] AddView:(UIView*)((self._lblup).object) :[self.__c PerXToCurrent:(float) (0)] :(float) ([self.__c PerYToCurrent:(float) (70)]+[self.__c PerXToCurrent:(float) (21)]) :[self.__c PerXToCurrent:(float) (100)] :[self.__c PerXToCurrent:(float) (7)]];
[B4IRDebugUtils shared].currentLine=131087;
 //BA.debugLineNum = 131087;BA.debugLine="Page1.RootPanel.AddView(lblWait, 0%x, 70%y + 28%x, 100%x, 7%x)";
[[self._page1 RootPanel] AddView:(UIView*)((self._lblwait).object) :[self.__c PerXToCurrent:(float) (0)] :(float) ([self.__c PerYToCurrent:(float) (70)]+[self.__c PerXToCurrent:(float) (28)]) :[self.__c PerXToCurrent:(float) (100)] :[self.__c PerXToCurrent:(float) (7)]];
[B4IRDebugUtils shared].currentLine=131089;
 //BA.debugLineNum = 131089;BA.debugLine="Page1.RootPanel.AddView(lblUpdate, 5%x, 50%y, 40%x, 10%y)";
[[self._page1 RootPanel] AddView:(UIView*)((self._lblupdate).object) :[self.__c PerXToCurrent:(float) (5)] :[self.__c PerYToCurrent:(float) (50)] :[self.__c PerXToCurrent:(float) (40)] :[self.__c PerYToCurrent:(float) (10)]];
[B4IRDebugUtils shared].currentLine=131090;
 //BA.debugLineNum = 131090;BA.debugLine="Page1.RootPanel.AddView(lblStop, 55%x, 50%y, 40%x, 10%y)";
[[self._page1 RootPanel] AddView:(UIView*)((self._lblstop).object) :[self.__c PerXToCurrent:(float) (55)] :[self.__c PerYToCurrent:(float) (50)] :[self.__c PerXToCurrent:(float) (40)] :[self.__c PerYToCurrent:(float) (10)]];
 }else {
[B4IRDebugUtils shared].currentLine=131094;
 //BA.debugLineNum = 131094;BA.debugLine="Page1.RootPanel.AddView(btnConn, 80%x, 0%y, 5%x, 10%y)";
[[self._page1 RootPanel] AddView:(UIView*)((self._btnconn).object) :[self.__c PerXToCurrent:(float) (80)] :[self.__c PerYToCurrent:(float) (0)] :[self.__c PerXToCurrent:(float) (5)] :[self.__c PerYToCurrent:(float) (10)]];
[B4IRDebugUtils shared].currentLine=131095;
 //BA.debugLineNum = 131095;BA.debugLine="Page1.RootPanel.AddView(imgConn, Width - 10%y, 0%y, 10%y, 10%y)";
[[self._page1 RootPanel] AddView:(UIView*)((self._imgconn).object) :(float) (_width-[self.__c PerYToCurrent:(float) (10)]) :[self.__c PerYToCurrent:(float) (0)] :[self.__c PerYToCurrent:(float) (10)] :[self.__c PerYToCurrent:(float) (10)]];
[B4IRDebugUtils shared].currentLine=131096;
 //BA.debugLineNum = 131096;BA.debugLine="Page1.RootPanel.AddView(imgSettings, 0%x, 0%y, 10%y, 10%y)";
[[self._page1 RootPanel] AddView:(UIView*)((self._imgsettings).object) :[self.__c PerXToCurrent:(float) (0)] :[self.__c PerYToCurrent:(float) (0)] :[self.__c PerYToCurrent:(float) (10)] :[self.__c PerYToCurrent:(float) (10)]];
[B4IRDebugUtils shared].currentLine=131097;
 //BA.debugLineNum = 131097;BA.debugLine="Page1.RootPanel.AddView(btnSettings, 11%y, 0%y, 5%x, 10%y)";
[[self._page1 RootPanel] AddView:(UIView*)((self._btnsettings).object) :[self.__c PerYToCurrent:(float) (11)] :[self.__c PerYToCurrent:(float) (0)] :[self.__c PerXToCurrent:(float) (5)] :[self.__c PerYToCurrent:(float) (10)]];
[B4IRDebugUtils shared].currentLine=131098;
 //BA.debugLineNum = 131098;BA.debugLine="Page1.RootPanel.AddView(imgBubb, 35%x, 0%y, 30%x, 60%x)";
[[self._page1 RootPanel] AddView:(UIView*)((self._imgbubb).object) :[self.__c PerXToCurrent:(float) (35)] :[self.__c PerYToCurrent:(float) (0)] :[self.__c PerXToCurrent:(float) (30)] :[self.__c PerXToCurrent:(float) (60)]];
[B4IRDebugUtils shared].currentLine=131099;
 //BA.debugLineNum = 131099;BA.debugLine="Page1.RootPanel.AddView(lblBubb, 30%x, 50%y, 40%x, 10%x)";
[[self._page1 RootPanel] AddView:(UIView*)((self._lblbubb).object) :[self.__c PerXToCurrent:(float) (30)] :[self.__c PerYToCurrent:(float) (50)] :[self.__c PerXToCurrent:(float) (40)] :[self.__c PerXToCurrent:(float) (10)]];
[B4IRDebugUtils shared].currentLine=131100;
 //BA.debugLineNum = 131100;BA.debugLine="Page1.RootPanel.AddView(lblDetail, 0%x, 50%y, 40%x, 10%x)";
[[self._page1 RootPanel] AddView:(UIView*)((self._lbldetail).object) :[self.__c PerXToCurrent:(float) (0)] :[self.__c PerYToCurrent:(float) (50)] :[self.__c PerXToCurrent:(float) (40)] :[self.__c PerXToCurrent:(float) (10)]];
[B4IRDebugUtils shared].currentLine=131101;
 //BA.debugLineNum = 131101;BA.debugLine="Page1.RootPanel.AddView(lblActivity, 0%x, 60%y, 40%x, 10%x)";
[[self._page1 RootPanel] AddView:(UIView*)((self._lblactivity).object) :[self.__c PerXToCurrent:(float) (0)] :[self.__c PerYToCurrent:(float) (60)] :[self.__c PerXToCurrent:(float) (40)] :[self.__c PerXToCurrent:(float) (10)]];
[B4IRDebugUtils shared].currentLine=131102;
 //BA.debugLineNum = 131102;BA.debugLine="Page1.RootPanel.AddView(lblPoint, 0%x, 70%y, 40%x, 10%x)";
[[self._page1 RootPanel] AddView:(UIView*)((self._lblpoint).object) :[self.__c PerXToCurrent:(float) (0)] :[self.__c PerYToCurrent:(float) (70)] :[self.__c PerXToCurrent:(float) (40)] :[self.__c PerXToCurrent:(float) (10)]];
[B4IRDebugUtils shared].currentLine=131103;
 //BA.debugLineNum = 131103;BA.debugLine="Page1.RootPanel.AddView(lblUp, 0%x, 80%y, 40%x, 10%x)";
[[self._page1 RootPanel] AddView:(UIView*)((self._lblup).object) :[self.__c PerXToCurrent:(float) (0)] :[self.__c PerYToCurrent:(float) (80)] :[self.__c PerXToCurrent:(float) (40)] :[self.__c PerXToCurrent:(float) (10)]];
[B4IRDebugUtils shared].currentLine=131104;
 //BA.debugLineNum = 131104;BA.debugLine="Page1.RootPanel.AddView(lblWait, 0%x, 33%y, 40%x, 10%x)";
[[self._page1 RootPanel] AddView:(UIView*)((self._lblwait).object) :[self.__c PerXToCurrent:(float) (0)] :[self.__c PerYToCurrent:(float) (33)] :[self.__c PerXToCurrent:(float) (40)] :[self.__c PerXToCurrent:(float) (10)]];
[B4IRDebugUtils shared].currentLine=131105;
 //BA.debugLineNum = 131105;BA.debugLine="Page1.RootPanel.AddView(lblUpdate, 5%x, 50%y, 40%x, 10%y)";
[[self._page1 RootPanel] AddView:(UIView*)((self._lblupdate).object) :[self.__c PerXToCurrent:(float) (5)] :[self.__c PerYToCurrent:(float) (50)] :[self.__c PerXToCurrent:(float) (40)] :[self.__c PerYToCurrent:(float) (10)]];
[B4IRDebugUtils shared].currentLine=131106;
 //BA.debugLineNum = 131106;BA.debugLine="Page1.RootPanel.AddView(lblStop, 55%x, 50%y, 40%x, 10%y)";
[[self._page1 RootPanel] AddView:(UIView*)((self._lblstop).object) :[self.__c PerXToCurrent:(float) (55)] :[self.__c PerYToCurrent:(float) (50)] :[self.__c PerXToCurrent:(float) (40)] :[self.__c PerYToCurrent:(float) (10)]];
 };
[B4IRDebugUtils shared].currentLine=131109;
 //BA.debugLineNum = 131109;BA.debugLine="btnConn.SizeToFit";
[self._btnconn SizeToFit];
[B4IRDebugUtils shared].currentLine=131110;
 //BA.debugLineNum = 131110;BA.debugLine="btnSettings.SizeToFit";
[self._btnsettings SizeToFit];
[B4IRDebugUtils shared].currentLine=131116;
 //BA.debugLineNum = 131116;BA.debugLine="End Sub";
return @"";
}

- (void)initializeStaticModules {
    [[b4i_main new]initializeModule];
[[b4i_httputils2service new]initializeModule];
[[b4i_settings new]initializeModule];

}
- (NSString*)  _process_globals{
self._httputils2service=[b4i_httputils2service new];
self._settings=[b4i_settings new];
[B4IRDebugUtils shared].currentModule=@"main";
[B4IRDebugUtils shared].currentLine=0;
 //BA.debugLineNum = 0;BA.debugLine="Sub Process_Globals";
return @"";
}
- (NSString*)  _sendemail{
[B4IRDebugUtils shared].currentModule=@"main";
[B4IRDebugUtils shared].currentLine=1703936;
 //BA.debugLineNum = 1703936;BA.debugLine="Sub SendEmail";
[B4IRDebugUtils shared].currentLine=1703940;
 //BA.debugLineNum = 1703940;BA.debugLine="End Sub";
return @"";
}
- (NSString*)  _ttimer_tick{
[B4IRDebugUtils shared].currentModule=@"main";
int _reccount = 0;
B4IServerSocketWrapper* _mylan = nil;
[B4IRDebugUtils shared].currentLine=1572864;
 //BA.debugLineNum = 1572864;BA.debugLine="Sub ttimer_Tick";
[B4IRDebugUtils shared].currentLine=1572865;
 //BA.debugLineNum = 1572865;BA.debugLine="If File.Exists(File.DirLibrary, \"tracklog.log\") = True Then";
if ([[self.__c File] Exists:[[self.__c File] DirLibrary] :@"tracklog.log"]==[self.__c True]) { 
[B4IRDebugUtils shared].currentLine=1572866;
 //BA.debugLineNum = 1572866;BA.debugLine="t1.Text = File.ReadString(File.DirLibrary, \"tracklog.log\")";
[self._t1 setText:[[self.__c File] ReadString:[[self.__c File] DirLibrary] :@"tracklog.log"]];
 };
[B4IRDebugUtils shared].currentLine=1572869;
 //BA.debugLineNum = 1572869;BA.debugLine="Dim reccount As Int";
_reccount = 0;
[B4IRDebugUtils shared].currentLine=1572872;
 //BA.debugLineNum = 1572872;BA.debugLine="Dim mylan As ServerSocket";
_mylan = [B4IServerSocketWrapper new];
[B4IRDebugUtils shared].currentLine=1572875;
 //BA.debugLineNum = 1572875;BA.debugLine="lblActivity.Text = \"Last GPS Activity- \"";
[self._lblactivity setText:@"Last GPS Activity- "];
[B4IRDebugUtils shared].currentLine=1572876;
 //BA.debugLineNum = 1572876;BA.debugLine="lblPoint.Text = \"Last GPS Point- \"";
[self._lblpoint setText:@"Last GPS Point- "];
[B4IRDebugUtils shared].currentLine=1572877;
 //BA.debugLineNum = 1572877;BA.debugLine="lblUp.Text = \"Last Upload- \"";
[self._lblup setText:@"Last Upload- "];
[B4IRDebugUtils shared].currentLine=1572878;
 //BA.debugLineNum = 1572878;BA.debugLine="lblWait.Text = \"Points Waiting- \" & reccount";
[self._lblwait setText:[@[@"Points Waiting- ",[self.bi NumberToString:@(_reccount)]] componentsJoinedByString:@""]];
[B4IRDebugUtils shared].currentLine=1572883;
 //BA.debugLineNum = 1572883;BA.debugLine="End Sub";
return @"";
}
@end